﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Runtime.CompilerServices;
using System.Text;

namespace TestFastLineSeries
{
    public class Model : INotifyPropertyChanged
    {
        public Model() { }

        public Model(double x, double y)
        {
            XValue = x;
            YValue = y;
        }

        public double XValue
        {
            get { return _xvalue; }
            set
            {
                if (_xvalue != value)
                {
                    _xvalue = value;
                    NotifyPropertyChanged();
                }
            }
        }

        public double YValue
        {
            get { return _yvalue; }
            set
            {
                if (_yvalue != value)
                {
                    _yvalue = value;
                    NotifyPropertyChanged();
                }
            }
        }

        protected void NotifyPropertyChanged([CallerMemberName] string propertyName = "")
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private double _xvalue;
        private double _yvalue;
    }
}
